public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/xmw:master commit in: net-libs/hubbub/
Date: Mon,  2 May 2011 18:52:46 +0000 (UTC)	[thread overview]
Message-ID: <050cdd97d19409bae746efef2ab0d5931ab7154a.xmw@gentoo> (raw)

commit:     050cdd97d19409bae746efef2ab0d5931ab7154a
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Mon May  2 17:29:24 2011 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Mon May  2 17:29:24 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/xmw.git;a=commit;h=050cdd97

net-libs/hubbub: initial import

(Portage version: 2.1.9.42/git/Linux x86_64, signed Manifest commit with key 62EEF090)

---
 net-libs/hubbub/ChangeLog           |   11 ++++++
 net-libs/hubbub/Manifest            |   14 ++++++++
 net-libs/hubbub/hubbub-0.1.0.ebuild |   62 +++++++++++++++++++++++++++++++++++
 net-libs/hubbub/metadata.xml        |   10 ++++++
 4 files changed, 97 insertions(+), 0 deletions(-)

diff --git a/net-libs/hubbub/ChangeLog b/net-libs/hubbub/ChangeLog
new file mode 100644
index 0000000..2290fd3
--- /dev/null
+++ b/net-libs/hubbub/ChangeLog
@@ -0,0 +1,11 @@
+# ChangeLog for net-libs/hubbub
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*hubbub-0.1.0 (02 May 2011)
+
+  02 May 2011; Michael Weber <xmw@gentoo.org> +hubbub-0.1.0.ebuild,
+  +metadata.xml:
+  Initial import, bug 347471, thanks to inciner@gmail.com for the initial
+  ebuild
+

diff --git a/net-libs/hubbub/Manifest b/net-libs/hubbub/Manifest
new file mode 100644
index 0000000..fc224aa
--- /dev/null
+++ b/net-libs/hubbub/Manifest
@@ -0,0 +1,14 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+DIST hubbub-0.1.0-src.tar.gz 812540 RMD160 b48211e4a70366164f39a3a83b2ca0313dc3847c SHA1 c420c40e086866c78427dcc07a9b96da2725ceb7 SHA256 e8b7e87c7414317eb8f1ad4a7e202c0708d0cee14558c66d4d33a6f5465c664b
+EBUILD hubbub-0.1.0.ebuild 1322 RMD160 654e4f1d47c38252686e09d4f0c652ff802f4e35 SHA1 56b271b7b5457c8d1fd4811ff8bb72a36aeaa3f7 SHA256 caf8d3cdcf87b4ab9f88191d56bf8a18e4c5a63089ad90a0c0bff4bb46de316b
+MISC ChangeLog 314 RMD160 c683eefd5b3e90897b398b1177cefd2022a73fc0 SHA1 cea782b086720a6e6d6e8607cd9f8c75c166f150 SHA256 2132dc6c5d97982e4f352c849423cff57640279eea76bd1b6d05b2791257bb71
+MISC metadata.xml 245 RMD160 6b03982a4d5f32d9fa6b9259ae36f9fcb07c8404 SHA1 fb16c7b4c5ab071dd979f761b8bb075f5396b737 SHA256 375a1da02cd2c393ce2378a73c1ce08134bc030b3bb378c6a4d6ca9cd5be1f8d
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iF4EAREIAAYFAk2+6fQACgkQknrdDGLu8JCrVwD/ZKJU99gS22fXyfp4CuFCa8Zv
+X9DuoTVS1pxhpW5UVCgA/iXj0XT/VqGjO+CchFCxfaB5VfWl/z1d6PsCXljb7ep7
+=/PQ2
+-----END PGP SIGNATURE-----

diff --git a/net-libs/hubbub/hubbub-0.1.0.ebuild b/net-libs/hubbub/hubbub-0.1.0.ebuild
new file mode 100644
index 0000000..874f9bc
--- /dev/null
+++ b/net-libs/hubbub/hubbub-0.1.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit multilib
+
+DESCRIPTION="HTML5 compliant parsing library, written in C"
+HOMEPAGE="http://www.netsurf-browser.org/projects/hubbub"
+SRC_URI="http://www.netsurf-browser.org/projects/releases/${P}-src.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	net-libs/libparserutils
+	virtual/libiconv
+	doc? ( app-doc/doxygen )
+	test? ( dev-lang/perl
+		dev-libs/json-c
+		dev-util/pkgconfig )"
+
+S=${WORKDIR}/${P}-src
+
+src_configure() {
+	sed -e "/^INSTALL_ITEMS/s:/lib:/$(get_libdir):g" \
+		-e "s:-Werror::" \
+		-i Makefile || die
+	sed -e "/^libdir/s:/lib:/$(get_libdir):g" \
+		-i libhubbub.pc.in || die
+}
+
+src_compile() {
+	emake COMPONENT_TYPE=lib-shared || die
+	if use static-libs ; then
+		emake COMPONENT_TYPE=lib-static || die
+	fi
+	if use doc ; then
+		emake docs || die
+	fi
+}
+
+# json_object_get_string_len does not exist!
+src_test() {
+	return
+	emake test || die
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX=/usr COMPONENT_TYPE=lib-shared install || die
+	if use static-libs ; then
+		emake DESTDIR="${D}" PREFIX=/usr COMPONENT_TYPE=lib-static install || die
+	fi
+	dodoc README || die
+	if use doc ; then
+		dohtml build/docs/html/* || die
+	fi
+}

diff --git a/net-libs/hubbub/metadata.xml b/net-libs/hubbub/metadata.xml
new file mode 100644
index 0000000..02b909e
--- /dev/null
+++ b/net-libs/hubbub/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+<email>xmw@gentoo.org</email>
+<name>Michael Weber</name>
+</maintainer>
+</pkgmetadata>
+



             reply	other threads:[~2011-05-02 18:53 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-05-02 18:52 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-05-02 18:52 [gentoo-commits] dev/xmw:master commit in: net-libs/hubbub/ Michael Weber
2011-05-03 20:10 Michael Weber
2011-05-03 20:38 Michael Weber
2012-04-29  1:25 Michael Weber
2012-07-18  7:19 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=050cdd97d19409bae746efef2ab0d5931ab7154a.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox